require "teller"

describe Teller do
  describe ".tell" do
    it "should send a message" do
      Teller.tell("message").should_not be_false
    end

    it "should not send a message" do
      Teller.silence!
      Teller.tell("silent message").should_not be_true
    end

    it "should not send a message after toggling silence" do
      Teller.silence!
      Teller.tell('message').should_not be_false
    end
  end

  describe ".silent?" do
    it "should let you know if Teller is silent" do
      Teller.silent?.should be_false
      Teller.silence!
      Teller.silent?.should be_true
    end
  end
end